<?php
include_once '../sys/inc/start.php';
dpanel::check_access();
$advertisement = new adt();
$doc = new document(5);
$doc -> title = 'Реклама и баннеры';




if (isset($_GET['id']))
{
$id=(string)$_GET['id'];

if (!$name=$advertisement->getNameById($id))
{
header('Refresh: 1; url=?');
$doc->ret('Вернуться','?');
$doc->err('Выбраная позиция отсутствует');
exit;
}


$doc->title='Рекламные площадки';




switch (@$_GET['filter']) {
case 'new':$filter ='new';$sql=" AND `time_start` > '".TIME."' AND (`time_end` > '".TIME."' OR `time_end` = '0')";break;
case 'old':$filter ='old';$sql=" AND (`time_start` < '".TIME."' OR `time_start` = '0') AND (`time_end` < '".TIME."' AND `time_end` != '0')";break;
case 'active':$filter ='active';$sql=" AND (`time_start` < '".TIME."' OR `time_start` = '0') AND (`time_end` > '".TIME."' OR `time_end` = '0')";break;
default:$filter ='all';$sql='';break;
}


$posts = array();
$pages = new pages;
$pages->posts = mysql_result(mysql_query("SELECT COUNT(*) FROM `advertising` WHERE `space` = '$id'$sql"), 0);
$pages->this_page(); // получаем текущую страницу


// меню сортировки
$ord = array();
$ord[]=array("?id=$id&amp;filter=all&amp;page={$pages->this_page}",'Все',$filter =='all');
$ord[]=array("?id=$id&amp;filter=active&amp;page={$pages->this_page}",'Активные',$filter=='active');
$ord[]=array("?id=$id&amp;filter=old&amp;page={$pages->this_page}",'Завершенные',$filter=='old');
$ord[]=array("?id=$id&amp;filter=new&amp;page={$pages->this_page}",'В ожидании',$filter=='new');
$or = new design();
$or->assign('order',$ord);
$or->display('design.order.tpl');


$q = mysql_query("SELECT * FROM `advertising` WHERE `space` = '$id'$sql ORDER BY `time_start` ASC LIMIT {$pages->my_start()}, {$pages->items_per_page}");
while ($adt=mysql_fetch_assoc($q)) {
$act=array();
$p='';
$i=array('size'=>'small','src'=>"/sys/images/icons/adt.png");
$t="<a href='adt.stat.php?id={$adt['id']}'>".for_value($adt['name']?$adt['name']:'Реклама #'.$adt['id'])."</a>".($adt['url_img']?' (баннер)':null);

if ($filter=='all')
{
if ((!$adt['time_start'] || $adt['time_start']<TIME) && (!$adt['time_end'] || $adt['time_end']>TIME))
$p.= "<b>Реклама активна</b><br />";
elseif ($adt['time_start']>TIME && (!$adt['time_end'] || $adt['time_end']>TIME))
$p.= "<b>В ожидании</b><br />";
elseif ((!$adt['time_start'] || $adt['time_start']<TIME) && $adt['time_end']<TIME)
$p.= "<b>показ окончен</b><br />";
}

if ($adt['time_start']>TIME)
$p.= "<b>Начало показа</b>: ".vremja($adt['time_start'])."<br />\n";

if (!$adt['time_end'])
$p.= "Бесконечный показ<br />\n";
elseif ($adt['time_end']>TIME)
$p.= "Конец показа: ".vremja($adt['time_end'])."<br />\n";
else
$p.= "<b>Показ истек</b>: ".vremja($adt['time_end'])."<br />\n";

if ($adt['bold'])
$p.= "<b>Выделение жирным шрифтом</b><br />\n";



$p.='URL: '.for_value($adt['url_link'])."<br />\n";
if ($adt['url_img'])$p.='Изображение: '.for_value($adt['url_img'])."<br />\n";

if ($adt['page_main'] && $adt['page_other'])
$p.="На всех страницах<br />\n";
elseif (!$adt['page_main'] && $adt['page_other'])
$p.="Кроме главной<br />\n";
elseif ($adt['page_main'] && !$adt['page_other'])
$p.="Только на главной<br />\n";
else
$p.="Не отображается<br />\n";


$act[]=array('edit',"adt.edit.php?id={$adt['id']}");
$act[]=array('delete',"adt.edit.php?id={$adt['id']}&amp;delete");

$posts[]=array('title'=>$t,'icon'=>$i,'post'=>$p,'act'=>$act);
}
if (!$posts)$posts[]=array('icon'=>array('size'=>'small','src'=>'/sys/images/icons/empty.png'),'title'=>'Реклама отсутствует');

$show = new design();
$show->assign('post',$posts);
$show->display('design.listing.tpl');

$pages->listing("?id=$id&amp;filter=$filter&amp;"); // вывод страниц

$doc->act('Создать площадку','adt.new.php?id='.$id);
$doc->act('Добавить счетчик или баннер','adt.new.banner.php?id='.$id);
$doc->ret('Рекламные позиции','?');
$doc->ret('Админка','/dpanel/');
exit;
}




$doc->title='Рекламные позиции';


$advertisement->display();


$doc->ret('Админка','/dpanel/');

?>
